Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DERApplicationSpecific

    java.lang.Object
      org.bouncycastle.asn1.DERObject
          org.bouncycastle.asn1.DERApplicationSpecific

All Implemented Interfaces:
  DEREncodable, DERTags

public class DERApplicationSpecific
extends DERObject

Base class for an application specific object

Field Summary

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERApplicationSpecific(int tag, byte[] octets)`
`DERApplicationSpecific(int tag, DEREncodable object)`

Method Summary
`int` | `getApplicationTag()`
`byte[]` | `getContents()`
`DERObject` | `getObject()`
`boolean` | `isConstructed()`

Methods inherited from class org.bouncycastle.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERApplicationSpecific

    public DERApplicationSpecific(int tag,
                                  byte[] octets)

### DERApplicationSpecific

    public DERApplicationSpecific(int tag,
                                  DEREncodable object)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### isConstructed

    public boolean isConstructed()

### getContents

    public byte[] getContents()

### getApplicationTag

    public int getApplicationTag()

### getObject

    public DERObject getObject()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD